* {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Roboto', sans-serif;
    font-size: 20px;
    font-style: normal;
    color: #000;
}

img {
    max-width: 100%;
}

.center {
    padding-left: calc(50% - 534px);
    padding-right: calc(50% - 534px);
}

.center_main {
    padding-left: calc(50% - 534px);
    padding-right: calc(50% - 640px);
}

.header {
    padding-bottom: 30px;
    padding-top: 30px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: baseline;
    gap: 20px;
    background: hsl(208, 78%, 9%);
}

.navbar-nav {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: baseline;
    gap: 20px;
}

.header__link {
    color: #C7D7DF;
    font-weight: 400;
    line-height: normal;
    text-decoration: none;
    transition: 0.22s;
}

.header__link:hover {
    color: #2c7396;
}

.main {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    gap: 40px;
}

.main_text {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-between;
    width: 613px;
    margin-top: 70px;
    margin-bottom: 70px;
    gap: 80px;
}

.title {
    font-size: 100px;
    font-weight: 700;
    line-height: 100%;
    letter-spacing: 4px;
}

.graphic {
    font-size: 64px;
    letter-spacing: 2.56px;
}

.name {
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
    text-align: right;
    font-size: 48px;
    font-weight: 400;
    line-height: 86.687%;
    letter-spacing: 1.92px;
}

.me_pic {
    width: 100%;
}

.about {
    background: #DFE9EE;
    padding-top: 120px;
    padding-bottom: 120px;
}

.about_content {
    display: flex;
    align-items: flex-start;
    gap: 40px;
}

.heading {
    text-align: center;
    font-size: 50px;
    font-weight: 700;
    line-height: normal;
    text-transform: uppercase;
    margin-bottom: 40px;
}

.about_icons {
    width: 440px;
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

.about_text {
    font-size: 16px;
    font-weight: 300;
    line-height: 20px;
}

.about_text ul {
    list-style-type: none;
    margin-bottom: 20px;
}

.about_text ul li::before {
    content: "- ";
}

.portfolio {
    padding-top: 120px;
    padding-bottom: 120px;
}

.carousel-indicators [data-bs-target] {
    box-sizing: content-box;
    flex: 0 1 auto;
    width: 30px;
    height: 4px;
    padding: 0;
    margin-right: 3px;
    margin-left: 3px;
    text-indent: -999px;
    cursor: pointer;
    background-color: #fff;
    background-clip: padding-box;
    border: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    opacity: .5;
    transition: opacity .6s ease;
}

.button {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
}

.but {
    padding-top: 60px;
}

.education {
    background: #EBECEC;
    padding-top: 120px;
    padding-bottom: 120px;
    font-size: 16px;
    font-weight: 300;
    line-height: 20px;
}

.ed_body {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 40px
}

.education_class {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: flex-start;
    align-items: flex-start;
    gap: 115px;
}

.logo {}

.contacts {
    padding-top: 120px;
    padding-bottom: 120px;
}

.contacts__links {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 25px;
}

.contacts__a {
    color: #000;
    text-align: center;
    font-size: 24px;
    font-weight: 400;
    line-height: normal;
    text-decoration: none;
}

.footer {
    padding-top: 20px;
    padding-bottom: 20px;
    background: #4B6C8A;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    gap: 40px;
}

@media screen and (max-width: 1024px) {

    .center,
    .center_main {
        padding-left: calc(50% - 360px);
        padding-right: calc(50% - 360px);
    }


    .main {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: space-between;
        gap: 30px;
        overflow: hidden;
    }

    .main_text {
        width: 400px;
        margin-top: 70px;
        margin-bottom: 70px;
        gap: 30px;
    }

    .title {
        font-size: 50px;
        line-height: 80%;
        letter-spacing: 3px;
    }

    .graphic {
        font-size: 30px;
        letter-spacing: 2px;
    }

    .name {
        font-size: 30px;
        line-height: 100%;
        letter-spacing: 1px;
    }

    .pic {
        width: 400px;
    }

    .heading {
        font-size: 30px;
    }

    .about {
        padding-top: 100px;
        padding-bottom: 100px;
    }

    .portfolio {
        padding-top: 100px;
        padding-bottom: 100px;
    }

    .contacts {
        padding-top: 100px;
        padding-bottom: 100px;
    }

    .education {
        padding-top: 100px;
        padding-bottom: 100px;
    }

    .education_class {
        gap: 10px;
    }
}


@media screen and (max-width: 768px) {

    .header {
        padding-bottom: 15px;
        padding-top: 15px;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: baseline;
        gap: 20px;
        background: hsl(208, 78%, 9%);
    }

    .center,
    .center_main {
        padding-left: 20px;
        padding-right: 20px;
    }

    .navbar-toggler {
        margin-right: -20px;
        margin-left: auto;
    }

    .navbar-toggler[aria-expanded=false] .navbar-toggler-icon {
        background-image: url(img/nav.svg);
    }

    .navbar-toggler[aria-expanded=true] .navbar-toggler-icon {
        background-image: url(img/close.svg);
    }

    .navbar-toggler-icon {
        background-image: url(img/nav.svg);
    }

    .navbar-toggler:focus {
        box-shadow: none;
    }

    .navbar-nav {
        margin-top: 10px;
        width: 100%;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: center;
        align-items: flex-end;
        gap: 10px;
    }

    .main {
        padding-left: 20px;
        padding-right: 20px;
        display: flex;
        align-items: center;
        flex-wrap: nowrap;
        flex-direction: column;
        align-content: stretch;
        gap: 0px;
    }

    .main_text {
        width: 100%;
        margin-top: 40px;
        margin-bottom: 30px;
        gap: 20px;
        display: flex;
        flex-direction: column;
    }

    .title {
        font-size: 50px;
        line-height: 80%;
        letter-spacing: 3px;
    }

    .graphic {
        font-size: 30px;
        letter-spacing: 2px;
    }

    .name {
        font-size: 25px;
        line-height: 90%;
        letter-spacing: 1px;
    }

    .name br {
        display: none;
    }

    .pic {
        width: 500px;

    }

    .heading {
        font-size: 30px;
    }

    .about_icons {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: space-evenly;
        gap: 5px;
    }

    .icon {
        width: 60px;
    }

    .about {
        padding-top: 60px;
        padding-bottom: 60px;
    }

    .about_content {
        display: flex;
        flex-direction: column;
    }

    .portfolio {
        padding-top: 60px;
        padding-bottom: 60px;
    }

    .but {
        width: 200px;
    }

    .education {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 60px;
        padding-bottom: 60px;
    }

    .education_class {
        gap: 0px;
    }

    /* почему при определенном сужении в моб версии логоти мидлсекса сужается? как сказать ему не менять пропорции? */
    .logo {
        width: 50%;
    }

    .contacts {
        padding-top: 60px;
        padding-bottom: 60px;
    }
}